﻿##############################################
##  BackRaw's EasyWar-Script (BEWar) v1.1g  ##
##            by BackRaw                    ##
##############################################

import es
import gamethread, playerlib, time

# edit admins
war_admins = {'STEAM_ID_LAN':'LAN ID'}

# edit event-scripts
event_scripts = ('notifications', 'killboost', 'beadmin')

# edit clan 
clan = '..:ЯapidSoliĐ:..'

# this should set the server's clock right, if so, leave it alone, if not, post in the Forums
tuple_time = time.localtime(time.time() + 60)
int_hour = tuple_time[3]
str_time = '%s.%s.%s - %s:%02d' % (tuple_time[2], tuple_time[1], tuple_time[0], int_hour, tuple_time[4])

# leave the options/commands below alone, please

round_count_1 = 0
round_count_2 = 0
round_left = 0
round_left_2 = 0
wins_team1 = 0
wins_team1_total = 0
wins_team2 = 0
wins_team2_total = 0
winner_team = 0
team1 = 1
team2 = 2
kind = ''
second_match = ''

def load():
    if not es.exists('saycommand', 'mr'):
        es.regsaycmd('mr', 'bewar/mr')
    if not es.exists('saycommand', 'mr2'):
        es.regsaycmd('mr2', 'bewar/mr_two')
    if not es.exists('saycommand', 'delscore'):
        es.regsaycmd('delscore', 'bewar/delscore')
    if not es.exists('saycommand', 'resteams'):
        es.regsaycmd('resteams', 'bewar/resteams')
    if not es.exists('saycommand', '1on1'):
        es.regsaycmd('1on1', 'bewar/one')
    if not es.exists('saycommand', '2on2'):
        es.regsaycmd('2on2', 'bewar/two')
    if not es.exists('saycommand', '3on3'):
        es.regsaycmd('3on3', 'bewar/three')
    if not es.exists('saycommand', '5on5'):
        es.regsaycmd('5on5', 'bewar/five')
    if not es.exists('saycommand', 'lo3'):
        es.regsaycmd('lo3', 'bewar/restartt')
    if not es.exists('saycommand' 'rr'):
        es.regsaycmd('rr', 'bewar/restart')
    if not es.exists('saycommand', 'commands'):
        es.regsaycmd('commands', 'bewar/commands')
    if not es.exists('saycommand', '!map'):
        es.regsaycmd('!map', 'bewar/mapp')
    if not es.exists('saycommand', 'off'):
        es.regsaycmd('off', 'bewar/off')
    for script in event_scripts:
        es.unload(script)

def unload():
    es.unregsaycmd('mr')
    es.unregsaycmd('mr2')
    es.unregsaycmd('delscore')
    es.unregsaycmd('resteams')
    es.unregsaycmd('1on1')
    es.unregsaycmd('2on2')
    es.unregsaycmd('3on3')
    es.unregsaycmd('5on5')
    es.unregsaycmd('lo3')
    es.unregsaycmd('rr')
    es.unregsaycmd('commands')
    es.unregsaycmd('!map')
    es.unregsaycmd('off')
    for script in event_scripts:
        es.reload(script)

def player_say(ev):
    players = es.getplayercount()
    counts = 0
    if ev['text'] == '!rdy':
        counts += 1
        if counts == players:
            es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenAll Players are ready for the match, Admins...')
            for script in event_scripts:
                es.unload(script)
        else:
            es.msg('#multi', '#green[#lightgreenBEWar#green] %s #lightgreenis ready for the match, waiting for the others (#green%s#lightgreen/#green%s#lightgreen)' % (es.getplayername(ev['userid']), counts, players))

def player_activate(ev):
    user = ev['userid']
    steamid = ev['es_steamid']
    if steamid in war_admins:
        es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreenWelcome Admin #green%s #lightgreento #green%s#lightgreen\'s War-Server.' % (es.getplayername(user), clan))
        gamethread.delayed(.1, es.tell, (user, '#multi', '#green[#lightgreenBEWar#green] #lightgreenHave Fun #green%s #lightgreen:)' % es.getplayername(user)))
        gamethread.delayed(.2, es.tell, (user, '#multi', '#green[#lightgreenBEWar#green] #lightgreenType \'#greendelscore#lightgreen\' if you wish to delete every team\'s score. \'#greencommands#lightgreen\' for a list of all commands.'))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreenWelcome to #green%s#lightgreen\'s War-Server.' % clan)
        gamethread.delayed(.1, es.tell, (user, '#multi', '#green[#lightgreenBEWar#green] #lightgreenHave Fun #green%s #lightgreen:)' % es.getplayername(user)))
    gamethread.delayed(.3, es.tell, (user, '#multi', '#green[#lightgreenBEWar#green] #lightgreenType #green\'!rdy#lightgreen\' if you are ready for the match'))

def round_end(ev):
    global round_count_1, round_count_2
    global round_left, round_left_2
    global wins_team1, wins_team2
    global wins_team1_total, wins_team2_total
    global winner_team
    global team1, team2
    user = es.getcmduserid()
    round_left -= 1
    round_left_2 -= 1
    round_count_1 += 1
    round_count_2 += 1
    if team1 == 1 and team2 == 2:
        if ev['winner'] == '2':
            wins_team1 += 1
        if ev['winner'] == '3':
            wins_team2 += 1
    if team1 == 2 and team2 == 1:
        if ev['winner'] == '2':
            wins_team2 += 1
        if ev['winner'] == '3':
            wins_team1 += 1
    if round_count_1 == 16:
        team1 = 2
        team2 = 1
        if wins_team1 == wins_team2:
            gamethread.delayed(.2, es.msg, ('#multi', '#green[#lightgreenBEWar#green] Nobody #lightgreenwon the #greenFirst Half #lightgreen(#green%s#lightgreen:#green%s#lightgreen)' % (wins_team1, wins_team2)))
        else:
            if wins_team2 > wins_team1:
                winner_team = 2
                wins_team2_total += 1
            if wins_team1 > wins_team2:
                winner_team = 1
                wins_team1_total += 1
            gamethread.delayed(.2, es.msg, ('#multi', '#green[#lightgreenBEWar#green] Team %s #lightgreenwon the #greenFirst Half #lightgreen(#green%s#lightgreen:#green%s#lightgreen) and scored a match-point: #green%s#lightgreen:#green%s' % (winner_team, wins_team1, wins_team2, wins_team1_total, wins_team2_total)))
            #gamethread.delayed(.3, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #lightgreenPlayer #green%s #lightgreenwas the most destructive in the First Half'))
            #gamethread.delayed(.3, es.msg, ('#green%s #lightgreenKills and #green%s #lightgreenDeaths' % (es.getplayername(user), kills, deaths)))
            gamethread.delayed(.4, es.msg, ('#multi', '#green[#lightgreenBEWar#green] First Half #lightgreenended. Swapping teams...'))
        for ter in playerlib.getPlayerList('#t'):
            gamethread.delayed(1, es.server.cmd, ('est_Team %s 3' % int(ter)))
        for cts in playerlib.getPlayerList('#ct'):
            gamethread.delayed(1, es.server.cmd, ('est_Team %s 2' % int(cts)))
        wins_team1 = 0
        wins_team2 = 0
    if round_count_2 == 33:
        if wins_team2 == wins_team1:
            wins_team2_total += 0
            wins_team1_total += 0
        if wins_team2 > wins_team1:
            wins_team2_total += 1
        if wins_team1 > wins_team2:
            wins_team1_total += 1
        if wins_team2_total == wins_team1_total:
            if second_match != '':
                gamethread.delayed(.1, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #lightgreenMatch #green%s, %s Ladder #lightgreen(Map: #green%s#lightgreen) ended on #green%s#lightgreen.' % (kind, second_match.upper(), es.ServerVar('eventscripts_currentmap'), str_time)))
                #gamethread.delayed(.2, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #lightgreenPlayer #green%s #lightgreenwas the most destructive in the Second Half'))
                #gamethread.delayed(.2, es.msg, ('#green%s #lightgreenKills and #green%s #lightgreenDeaths' % (es.getplayername(user), kills, deaths)))
                gamethread.delayed(.3, es.msg, ('#multi', '#green[#lightgreenBEWar#green] Nobody #lightgreenwon the Match (#green%s#lightgreen:#green%s#lightgreen). #greenGood Game #lightgreeneverybody! - See You Later, Alligator :D' % (wins_team1_total, wins_team2_total)))
                wins_team1 = 0
                wins_team2 = 0
                wins_team1_total = 0
                wins_team2_total = 0
            else:
                gamethread.delayed(.1, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #lightgreenMatch #green%s Ladder #lightgreen(Map: #green%s#lightgreen) ended on #green%s#lightgreen.' % (kind, second_match.upper(), es.ServerVar('eventscripts_currentmap'), str_time)))
                #gamethread.delayed(.2, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #lightgreenPlayer #green%s #lightgreenwas the most destructive in the Second Half'))
                #gamethread.delayed(.2, es.msg, ('#green%s #lightgreenKills and #green%s #lightgreenDeaths' % (es.getplayername(user), kills, deaths)))
                gamethread.delayed(.3, es.msg, ('#multi', '#green[#lightgreenBEWar#green] Nobody #lightgreenwon the Match (#green%s#lightgreen:#green%s#lightgreen). #greenGood Game #lightgreeneverybody! - See You Later, Alligator :D' % (wins_team1_total, wins_team2_total)))
                wins_team1 = 0
                wins_team2 = 0
                wins_team1_total = 0
                wins_team2_total = 0
        else:
            if wins_team2_total > wins_team1_total:
                winner_team = 2
            if wins_team1_total > wins_team2_total:
                winner_team = 1
            if second_match != '':
                gamethread.delayed(.1, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #lightgreenMatch #green%s, %s Ladder #lightgreen(Map: #green%s#lightgreen) ended on #green%s#lightgreen.' % (kind, second_match.upper(), es.ServerVar('eventscripts_currentmap'), str_time)))
                gamethread.delayed(.2, es.msg, ('#multi', '#green[#lightgreenBEWar#green] Team %s #lightgreenwon the Match (Total Score: #green%s#lightgreen:#green%s#lightgreen, Second Half-Score: #green%s#lightgreen:#green%s#lightgreen).' % (winner_team, wins_team1_total, wins_team2_total, wins_team1, wins_team2)))
                #gamethread.delayed(.2, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #lightgreenPlayer #green%s #lightgreenwas the most destructive in the Second Half'))
                #gamethread.delayed(.2, es.msg, ('#green%s #lightgreenKills and #green%s #lightgreenDeaths' % (es.getplayername(user), kills, deaths)))
                gamethread.delayed(.4, es.msg, ('#multi', '#green[#lightgreenBEWar#green] Good Game #lightgreeneverybody! - See You Later, Alligator :D'))
                wins_team1 = 0
                wins_team2 = 0
                wins_team1_total = 0
                wins_team2_total = 0
            else:
                gamethread.delayed(.1, es.msg, ('#multi', '#green[#lightgreenBWar#green] #lightgreenMatch #green%s Ladder #lightgreen(Map: #green%s#lightgreen) ended on #green%s#lightgreen.' % (kind, second_match.upper(), es.ServerVar('eventscripts_currentmap'), str_time)))
                gamethread.delayed(.2, es.msg, ('#multi', '#green[#lightgreenBEWar#green] Team %s #lightgreenwon the Match (Total Score: #green%s#lightgreen:#green%s#lightgreen, Second Half-Score: #green%s#lightgreen:#green%s#lightgreen).' % (winner_team, wins_team1_total, wins_team2_total, wins_team1, wins_team2)))
                #gamethread.delayed(.3, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #lightgreenPlayer #green%s #lightgreenwas the most destructive in the Second Half'))
                #gamethread.delayed(.3, es.msg, ('#green%s #lightgreenKills and #green%s #lightgreenDeaths' % (es.getplayername(user), kills, deaths)))
                gamethread.delayed(.4, es.msg, ('#multi', '#green[#lightgreenBEWar#green] Good Game #lightgreeneverybody! - See You Later, Alligator :D'))
                wins_team1 = 0
                wins_team2 = 0
                wins_team1_total = 0
                wins_team2_total = 0

def round_start(ev):
    global round_count_1, round_count_2
    global team1, team2
    if round_count_1 == 16:
        round_count_1 = -1
        ts = es.getplayercount(2)
        cts = es.getplayercount(3)
        if ts == cts:
            if kind and second_match != '':
                gamethread.delayed(.2, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...'))
                gamethread.delayed(.3, es.msg, ('#multi', '#greenTeams are OK #lightgreen- Match can be started - Type \'#greenmr2#lightgreen\' in chat if you want to know how many rounds are left'))
                es.centermsg('Starting Second Half in 3...')
                gamethread.delayed(2, es.centermsg, ('Starting Second Half in 2...'))
                gamethread.delayed(4, es.centermsg, ('Starting Second Half in 1...'))
                gamethread.delayed(6, es.centermsg, ('Second Half - %s, %s Ladder - is going to be LIVE in 3...' % (kind, second_match.upper())))
                gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(9, es.centermsg, ('Second Half - %s, %s Ladder - is going to be LIVE in 2...' % (kind, second_match.upper())))
                gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(12, es.centermsg, ('Second Half - %s, %s Ladder - is going to be LIVE in 1...' % (kind, second_match.upper())))
                gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(15, es.centermsg, ('Second Half - %s, %s Ladder - is - LIVE - Have Fun and Good Luck :)' % (kind, second_match.upper())))
            else:
                gamethread.delayed(.2, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...'))
                gamethread.delayed(.3, es.msg, ('#multi', '#greenTeams are OK #lightgreen- Match can be started - Type \'#greenmr2#lightgreen\' in chat if you want to know how many rounds are left'))
                es.centermsg('Starting Second Half in 3...')
                gamethread.delayed(2, es.centermsg, ('Starting Second Half in 2...'))
                gamethread.delayed(4, es.centermsg, ('Starting Second Half in 1...'))
                gamethread.delayed(6, es.centermsg, ('Second Half is going to be LIVE in 3...'))
                gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(9, es.centermsg, ('Second Half is going to be LIVE in 2...'))
                gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(12, es.centermsg, ('Second Half is going to be LIVE in 1...'))
                gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(15, es.centermsg, ('Second Half is - LIVE - Have Fun and Good Luck :)'))
        elif ts > cts:
            es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...')
            gamethread.delayed(.1, es.msg, ('#multi', '#greenCounter-Terrorists: #lightgreenGo get some Mates or Leave!'))
        else:
            es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...')
            gamethread.delayed(.1, es.msg, ('#multi', '#greenTerrorists: #lightgreenGo get some Mates or Leave!'))
    if round_count_2 == 34:
        team1 = 1
        team2 = 2

def mr():
    global round_left
    global round_count_1
    user = es.getcmduserid()
    steamid = es.getplayersteamid(user)
    if steamid in war_admins:
        args = es.getargc()
        if args > 1:
            mr = '%s' % es.getargs()
            round_left = 0
            round_left += int(mr)
            new_left = round_left
            round_count_1 = 16
            round_count_1 -= int(mr)
            es.msg('#multi', '#green[#lightgreenBEWar#green] Max Rounds #lightgreen- #greenFirst Half #lightgreenset to #green%s#lightgreen.' % mr)
            es.msg('#multi', '#green[#lightgreenBEWar#green] Terrorists #lightgreenare #greenTeam %s #lightgreen- #greenCounter-Terrorists #lightgreenare #greenTeam %s' % (team1, team2))
        else:
            new_left = round_left
            if new_left >= 2:
                es.tell(user, '#multi', '#green[#lightgreenBEWar#green] First Half #lightgreen- #green%s #lightgreenRounds Left' % new_left)
            if new_left == 1:
                es.tell(user, '#multi', '#green[#lightgreenBEWar#green] First Half #lightgreen- #greenLast Round#lightgreen!')
    else:
        args = es.getargc()
        if args < 1:
            new_left = round_left
            if new_left >= 2:
                es.tell(user, '#multi', '#green[#lightgreenBEWar#green] First Half #lightgreen- #green%s #lightgreenRounds Left' % new_left)
            if new_left == 1:
                es.tell(user, '#multi', '#green[#lightgreenBEWar#green] First Half #lightgreen- #greenLast Round#lightgreen!')

def mr_two():
    global round_left_2
    global round_count_2
    user = es.getcmduserid()
    steamid = es.getplayersteamid(user)
    if steamid in war_admins:
        args = es.getargc()
        if args > 1:
            mr = '%s' % es.getargs()
            round_left_2 = 0
            round_left_2 += int(mr)
            round_count_2 = 33
            round_count_2 -= int(mr)
            es.msg('#multi', '#green[#lightgreenBEWar#green] Max Rounds #lightgreen- #greenSecond Half #lightgreenset to #green%s#lightgreen.' % mr)
            es.msg('#multi', '#green[#lightgreenBEWar#green] Terrorists #lightgreenare #greenTeam %s #lightgreen- #greenCounter-Terrorists #lightgreenare #greenTeam %s' % (team1, team2))
        else:
            new_left_2 = round_left_2
            if new_left_2 >= 2:
                es.tell(user, '#multi', '#green[#lightgreenBEWar#green] Second Half #lightgreen- #green%s #lightgreenRounds Left' % new_left_2)
            if new_left_2 == 1:
                es.tell(user, '#multi', '#green[#lightgreenBEWar#green] Second Half #lightgreen- #greenLast Round#lightgreen!')
    else:
        args = es.getargc()
        if args < 1:
            new_left_2 = round_left_2
            if new_left_2 >= 2:
                es.tell(user, '#multi', '#green[#lightgreenBEWar#green] Second Half #lightgreen- #green%s #lightgreenRounds Left' % new_left_2)
            if new_left_2 == 1:
                es.tell(user, '#multi', '#green[#lightgreenBEWar#green] Second Half #lightgreen- #greenLast Round#lightgreen!')

def delscore():
    user = es.getcmduserid()
    steamid = es.getplayersteamid(user)
    if steamid in war_admins:
        wins_team1 = 0
        wins_team2 = 0
        wins_team1_total = 0
        wins_team2_total = 0
        es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreenYou just deleted every team\'s score!')
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreen! #greenNo Admin #lightreen!')

def resteams():
    global team1, team2
    user = es.getcmduserid()
    steamid = es.getplayersteamid(user)
    if steamid in war_admins:
        team1 = 1
        team2 = 2
        es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreenYou just reset the teams')
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreen! #greenNo Admin #lightreen!')

def one():
    global kind, second_match, ladder
    user = es.getcmduserid()
    steamid = es.getplayersteamid(user)
    if steamid in war_admins:
        args = es.getargc()
        if args > 1:
            ts = es.getplayercount(2)
            cts = es.getplayercount(3)
            on = '%s' % es.getargs()
            kind = '1on1'
            second_match = '%s'  % on
            if ts == cts:
                gamethread.delayed(.2, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...'))
                gamethread.delayed(.3, es.msg, ('#multi', '#greenTeams are OK #lightgreen- Match can be started - Type \'#greenmr#lightgreen\' in chat if you want to know how many rounds are left'))
                if on == 'awp':
                    for script in event_scripts:
                        es.unload(script)
                    es.server.cmd('exec password.cfg')
                    es.server.cmd('exec e1on1aml.cfg')
                    es.centermsg('Starting Match in 3...')
                    gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                    gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                    gamethread.delayed(6, es.centermsg, ('Match - 1on1, AWP Ladder - is going to be LIVE in 3...'))
                    gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(9, es.centermsg, ('Match - 1on1, AWP Ladder - is going to be LIVE in 2...'))
                    gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(12, es.centermsg, ('Match - 1on1, AWP Ladder - is going to be LIVE in 1...'))
                    gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(15, es.centermsg, ('Match - 1on1, AWP Ladder - is - LIVE - Have Fun and Good Luck :)'))
                elif on == 'eas':
                    for script in event_scripts:
                        es.unload(script)
                    es.server.cmd('exec password.cfg')
                    es.server.cmd('exec e1on1eas.cfg')
                    es.centermsg('Starting Match in 3...')
                    gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                    gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                    gamethread.delayed(6, es.centermsg, ('Match - 1on1, EAS Ladder - is going to be LIVE in 3...'))
                    gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(9, es.centermsg, ('Match - 1on1, EAS Ladder - is going to be LIVE in 2...'))
                    gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(12, es.centermsg, ('Match - 1on1, EAS Ladder - is going to be LIVE in 1...'))
                    gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(15, es.centermsg, ('Match - 1on1, EAS Ladder - is - LIVE - Have Fun and Good Luck :)'))
                elif on == 'funmaps':
                    for script in event_scripts:
                        es.unload(script)
                    es.server.cmd('exec password.cfg')
                    es.server.cmd('exec e1on1fml.cfg')
                    es.centermsg('Starting Match in 3...')
                    gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                    gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                    gamethread.delayed(6, es.centermsg, ('Match - 1on1, Funmaps Ladder - is going to be LIVE in 3...'))
                    gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(9, es.centermsg, ('Match - 1on1, Funmaps Ladder - is going to be LIVE in 2...'))
                    gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(12, es.centermsg, ('Match - 1on1, Funmaps Ladder - is going to be LIVE in 1...'))
                    gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(15, es.centermsg, ('Match - 1on1, Funmaps Ladder - is - LIVE - Have Fun and Good Luck :)'))
                elif on == 'pistols':
                    for script in event_scripts:
                        es.unload(script)
                    es.server.cmd('exec password.cfg')
                    es.server.cmd('exec e1on1hg.cfg')
                    es.centermsg('Starting Match in 3...')
                    gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                    gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                    gamethread.delayed(6, es.centermsg, ('Match - 1on1, Handgun Ladder - is going to be LIVE in 3...'))
                    gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(9, es.centermsg, ('Match - 1on1, Handgun Ladder - is going to be LIVE in 2...'))
                    gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(12, es.centermsg, ('Match - 1on1, Handgun Ladder - is going to be LIVE in 1...'))
                    gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(15, es.centermsg, ('Match - 1on1, Handgun Ladder - is - LIVE - Have Fun and Good Luck :)'))
                elif on == 'rush':
                    for script in event_scripts:
                        es.unload(script)
                    es.server.cmd('exec password.cfg')
                    es.server.cmd('exec e1on1rl.cfg')
                    es.centermsg('Starting Match in 3...')
                    gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                    gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                    gamethread.delayed(6, es.centermsg, ('Match - 1on1, Rush Ladder - is going to be LIVE in 3...'))
                    gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(9, es.centermsg, ('Match - 1on1, Rush Ladder - is going to be LIVE in 2...')) 
                    gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(12, es.centermsg, ('Match - 1on1, Rush Ladder - is going to be LIVE in 1...'))
                    gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(15, es.centermsg, ('Match - 1on1, Rush Ladder - is - LIVE - Have Fun and Good Luck :)'))
                else:
                    es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreenThis Match does not exist!')
            elif ts > cts:
                es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...')
                gamethread.delayed(.1, es.msg, ('#multi', '#greenCounter-Terrorists: #lightgreenGo get some Mates or Leave!'))
            else:
                es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...')
                gamethread.delayed(.1, es.msg, ('#multi', '#greenTerrorists: #lightgreenGo get some Mates or Leave!'))
        else:
            kind_second_match = '1on1'
            ts = es.getplayercount(2)
            cts = es.getplayercount(3)
            if ts == cts:
                gamethread.delayed(.2, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...'))
                gamethread.delayed(.3, es.msg, ('#multi', '#greenTeams are OK #lightgreen- Match can be started - Type \'#greenmr#lightgreen\' in chat if you want to know how many rounds are left'))
                for script in event_scripts:
                    es.unload(script)
                es.server.cmd('exec password.cfg')
                es.server.cmd('exec e1on1.cfg')
                es.centermsg('Starting Match in 3...')
                gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                gamethread.delayed(6, es.centermsg, ('Match - 1on1 - is going to be LIVE in 3...'))
                gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(9, es.centermsg, ('Match - 1on1 - is going to be LIVE in 2...'))
                gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(12, es.centermsg, ('Match - 1on1 - is going to be LIVE in 1...'))
                gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(15, es.centermsg, ('Match - 1on1 - is - LIVE - Have Fun and Good Luck :)'))
            elif ts > cts:
                es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...')
                gamethread.delayed(.1, es.msg, ('#multi', '#greenCounter-Terrorists: #lightgreenGo get some Mates or Leave!'))
            else:
                es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...')
                gamethread.delayed(.1, es.msg, ('#multi', '#greenTerrorists: #lightgreenGo get some Mates or Leave!'))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreen! #greenNo Admin #lightreen!')

def two():
    global kind, second_match, ladder
    user = es.getcmduserid()
    steamid = es.getplayersteamid(user)
    if steamid in war_admins:
        args = es.getargc()
        if args > 1:
            ts = es.getplayercount(2)
            cts = es.getplayercount(3)
            on = '%s' % es.getargs()
            kind = '2on2'
            second_match = '%s'  % on
            if ts == cts:
                gamethread.delayed(.2, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...'))
                gamethread.delayed(.3, es.msg, ('#multi', '#greenTeams are OK #lightgreen- Match can be started - Type \'#greenmr#lightgreen\' in chat if you want to know how many rounds are left'))
                if on == 'awp':
                    for script in event_scripts:
                        es.unload(script)
                    es.server.cmd('exec password.cfg')
                    es.server.cmd('exec e2on2aml.cfg')
                    es.centermsg('Starting Match in 3...')
                    gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                    gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                    gamethread.delayed(6, es.centermsg, ('Match - 2on2, AWP Ladder - is going to be LIVE in 3...'))
                    gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(9, es.centermsg, ('Match - 2on2, AWP Ladder - is going to be LIVE in 2...'))
                    gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(12, es.centermsg, ('Match - 2on2, AWP Ladder - is going to be LIVE in 1...'))
                    gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(15, es.centermsg, ('Match - 2on2, AWP Ladder - is - LIVE - Have Fun and Good Luck :)'))
                elif on == 'eas':
                    for script in event_scripts:
                        es.unload(script)
                    es.server.cmd('exec password.cfg')
                    es.server.cmd('exec e2on2eas.cfg')
                    es.centermsg('Starting Match in 3...')
                    gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                    gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                    gamethread.delayed(6, es.centermsg, ('Match - 2on2, EAS Ladder - is going to be LIVE in 3...'))
                    gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(9, es.centermsg, ('Match - 2on2, EAS Ladder - is going to be LIVE in 2...'))
                    gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(12, es.centermsg, ('Match - 2on2, EAS Ladder - is going to be LIVE in 1...'))
                    gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(15, es.centermsg, ('Match - 2on2, EAS Ladder- is - LIVE - Have Fun and Good Luck :)'))
                elif on == 'pistols':
                    for script in event_scripts:
                        es.unload(script)
                    es.server.cmd('exec password.cfg')
                    es.server.cmd('exec e2on2hg.cfg')
                    es.centermsg('Starting Match in 3...')
                    gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                    gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                    gamethread.delayed(6, es.centermsg, ('Match - 2on2, Handgun Ladder - is going to be LIVE in 3...'))
                    gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(9, es.centermsg, ('Match - 2on2, Handgun Ladder - is going to be LIVE in 2...'))
                    gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(12, es.centermsg, ('Match - 2on2, Handgun Ladder - is going to be LIVE in 1...'))
                    gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(15, es.centermsg, ('Match - 2on2, Handgun Ladder - is - LIVE - Have Fun and Good Luck :)'))
                elif on == 'rush':
                    for script in event_scripts:
                        es.unload(script)
                    es.server.cmd('exec password.cfg')
                    es.server.cmd('exec e2on2rl.cfg')
                    es.centermsg('Starting Match in 3...')
                    gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                    gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                    gamethread.delayed(6, es.centermsg, ('Match - 2on2, Rush Ladder - is going to be LIVE in 3...'))
                    gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(9, es.centermsg, ('Match - 2on2, Rush Ladder - is going to be LIVE in 2...'))
                    gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(12, es.centermsg, ('Match - 2on2, Rush Ladder - is going to be LIVE in 1...'))
                    gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(15, es.centermsg, ('Match - 2on2, Rush Ladder - is - LIVE - Have Fun and Good Luck :)'))
                else:
                    es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreenThis Match does not exist!')
            elif ts > cts:
                es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...')
                gamethread.delayed(.1, es.msg, ('#multi', '#greenCounter-Terrorists: #lightgreenGo get some Mates or Leave!'))
            else:
                es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...')
                gamethread.delayed(.1, es.msg, ('#multi', '#greenTerrorists: #lightgreenGo get some Mates or Leave!'))
        else:
            kind_second_match = '2on2'
            ts = es.getplayercount(2)
            cts = es.getplayercount(3)
            if ts == cts:
                gamethread.delayed(.2, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...'))
                gamethread.delayed(.3, es.msg, ('#multi', '#greenTeams are OK #lightgreen- Match can be started - Type \'#greenmr#lightgreen\' in chat if you want to know how many rounds are left'))
                for script in event_scripts:
                    es.unload(script)
                es.server.cmd('exec password.cfg')
                es.server.cmd('exec e2on2.cfg')
                es.centermsg('Starting Match in 3...')
                gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                gamethread.delayed(6, es.centermsg, ('Match - 2on2 - is going to be LIVE in 3...'))
                gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(9, es.centermsg, ('Match - 2on2 - is going to be LIVE in 2...'))
                gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(12, es.centermsg, ('Match - 2on2 - is going to be LIVE in 1...'))
                gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(15, es.centermsg, ('Match - 2on2 - is - LIVE - Have Fun and Good Luck :)'))
            elif ts > cts:
                es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...')
                gamethread.delayed(.1, es.msg, ('#multi', '#greenCounter-Terrorists: #lightgreenGo get some Mates or Leave!'))
            else:
                es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...')
                gamethread.delayed(.1, es.msg, ('#multi', '#greenTerrorists: #lightgreenGo get some Mates or Leave!'))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreen! #greenNo Admin #lightreen!')

def three():
    global kind, second_match, ladder
    user = es.getcmduserid()
    steamid = es.getplayersteamid(user)
    if steamid in war_admins:
        args = es.getargc()
        if args > 1:
            ts = es.getplayercount(2)
            cts = es.getplayercount(3)
            on = '%s' % es.getargs()
            kind = '3on3'
            second_match = '%s'  % on
            if ts == cts:
                gamethread.delayed(.2, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...'))
                gamethread.delayed(.3, es.msg, ('#multi', '#greenTeams are OK #lightgreen- Match can be started - Type \'#greenmr#lightgreen\' in chat if you want to know how many rounds are left'))
                if on == 'funmaps':
                    for script in event_scripts:
                        es.unload(script)
                    es.server.cmd('exec password.cfg')
                    es.server.cmd('exec e3on3fml.cfg')
                    es.centermsg('Starting Match in 3...')
                    gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                    gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                    gamethread.delayed(6, es.centermsg, ('Match - 3on3 Funmaps Ladder - is going to be LIVE in 3...'))
                    gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(9, es.centermsg, ('Match - 3on3 Funmaps Ladder - is going to be LIVE in 2...'))
                    gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(12, es.centermsg, ('Match - 3on3 Funmaps Ladder - is going to be LIVE in 1...'))
                    gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(15, es.centermsg, ('Match - 3on3 Funmaps Ladder - is - LIVE - Have Fun and Good Luck :)'))
                elif on == 'gungame':
                    for script in event_scripts:
                        es.unload(script)
                    es.server.cmd('exec password.cfg')
                    es.server.cmd('exec e3on3ggl.cfg')
                    es.centermsg('Starting Match in 3...')
                    gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                    gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                    gamethread.delayed(6, es.centermsg, ('Match - 3on3 GunGame Ladder - is going to be LIVE in 3...'))
                    gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(9, es.centermsg, ('Match - 3on3 GunGame Ladder - is going to be LIVE in 2...'))
                    gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(12, es.centermsg, ('Match - 3on3 GunGame Ladder - is going to be LIVE in 1...'))
                    gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(15, es.centermsg, ('Match - 3on3 GunGame Ladder - is - LIVE - Have Fun and Good Luck :)'))
                else:
                    es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreenThis Match does not exist!')
            elif ts > cts:
                es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...')
                gamethread.delayed(.1, es.msg, ('#multi', '#greenCounter-Terrorists: #lightgreenGo get some Mates or Leave!'))
            else:
                es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...')
                gamethread.delayed(.1, es.msg, ('#multi', '#greenTerrorists: #lightgreenGo get some Mates or Leave!'))
        else:
            kind_second_match = '3on3'
            ladder = ''
            ts = es.getplayercount(2)
            cts = es.getplayercount(3)
            if ts == cts:
                gamethread.delayed(.2, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...'))
                gamethread.delayed(.3, es.msg, ('#multi', '#greenTeams are OK #lightgreen- Match can be started - Type \'#greenmr#lightgreen\' in chat if you want to know how many rounds are left'))
                for script in event_scripts:
                    es.unload(script)
                es.server.cmd('exec password.cfg')
                es.server.cmd('exec e3on3.cfg')
                es.centermsg('Starting Match in 3...')
                gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                gamethread.delayed(6, es.centermsg, ('Match - 3on3 - is going to be LIVE in 3...'))
                gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(9, es.centermsg, ('Match - 3on3 - is going to be LIVE in 2...'))
                gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(12, es.centermsg, ('Match - 3on3 - is going to be LIVE in 1...'))
                gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(15, es.centermsg, ('Match - 3on3 - is - LIVE - Have Fun and Good Luck :)'))
            elif ts > cts:
                es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...')
                gamethread.delayed(.1, es.msg, ('#multi', '#greenCounter-Terrorists: #lightgreenGo get some Mates or Leave!'))
            else:
                es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...')
                gamethread.delayed(.1, es.msg, ('#multi', '#greenTerrorists: #lightgreenGo get some Mates or Leave!'))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreen! #greenNo Admin #lightreen!')

def five():
    global kind, second_match, ladder
    user = es.getcmduserid()
    steamid = es.getplayersteamid(user)
    if steamid in war_admins:
        args = es.getargc()
        if args > 1:
            ts = es.getplayercount(2)
            cts = es.getplayercount(3)
            on = '%s' % es.getargs()
            kind = '5on5'
            second_match = '%s'  % on
            if ts == cts:
                gamethread.delayed(.2, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...'))
                gamethread.delayed(.3, es.msg, ('#multi', '#greenTeams are OK #lightgreen- Match can be started - Type \'#greenmr#lightgreen\' in chat if you want to know how many rounds are left'))
                if on == 'awp':
                    for script in event_scripts:
                        es.unload(script)
                    es.server.cmd('exec password.cfg')
                    es.server.cmd('exec e5on5aml.cfg')
                    es.centermsg('Starting Match in 3...')
                    gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                    gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                    gamethread.delayed(6, es.centermsg, ('Match - 5on5, AWP Ladder - is going to be LIVE in 3...'))
                    gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(9, es.centermsg, ('Match - 5on5, AWP Ladder - is going to be LIVE in 2...'))
                    gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(12, es.centermsg, ('Match - 5on5, AWP Ladder - is going to be LIVE in 1...'))
                    gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(15, es.centermsg, ('Match - 5on5, AWP Ladder - is - LIVE - Have Fun and Good Luck :)'))
                elif on == 'cml':
                    for script in event_scripts:
                        es.unload(script)
                    es.server.cmd('exec password.cfg')
                    es.server.cmd('exec e5on5cml.cfg')
                    es.centermsg('Starting Match in 3...')
                    gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                    gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                    gamethread.delayed(6, es.centermsg, ('Match - 5on5 CML Ladder - is going to be LIVE in 3...'))
                    gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(9, es.centermsg, ('Match - 5on5 CML Ladder - is going to be LIVE in 2...'))
                    gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(12, es.centermsg, ('Match - 5on5 CML Ladder - is going to be LIVE in 1...'))
                    gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(15, es.centermsg, ('Match - 5on5 CML Ladder - is - LIVE - Have Fun and Good Luck :)'))
                elif on == 'eas':
                    for script in event_scripts:
                        es.unload(script)
                    es.server.cmd('exec password.cfg')
                    es.server.cmd('exec e5on5eas.cfg')
                    es.centermsg('Starting Match in 3...')
                    gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                    gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                    gamethread.delayed(6, es.centermsg, ('Match - 5on5 EAS Ladder - is going to be LIVE in 3...'))
                    gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(9, es.centermsg, ('Match - 5on5 EAS Ladder - is going to be LIVE in 2...'))
                    gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(12, es.centermsg, ('Match - 5on5 EAS Ladder - is going to be LIVE in 1...'))
                    gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(15, es.centermsg, ('Match - 5on5 EAS Ladder - is - LIVE - Have Fun and Good Luck :)'))
                elif on == 'ems':
                    for script in event_scripts:
                        es.unload(script)
                    es.server.cmd('exec password.cfg')
                    es.server.cmd('exec e5on5ems.cfg')
                    es.centermsg('Starting Match in 3...')
                    gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                    gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                    gamethread.delayed(6, es.centermsg, ('Match - 5on5 EMS Ladder - is going to be LIVE in 3...'))
                    gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(9, es.centermsg, ('Match - 5on5 EMS Ladder - is going to be LIVE in 2...'))
                    gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(12, es.centermsg, ('Match - 5on5 EMS Ladder - is going to be LIVE in 1...'))
                    gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(15, es.centermsg, ('Match - 5on5 EMS Ladder - is - LIVE - Have Fun and Good Luck :)'))
                elif on == 'enc':
                    for script in event_scripts:
                        es.unload(script)
                    es.server.cmd('exec password.cfg')
                    es.server.cmd('exec e5on5enc.cfg')
                    es.centermsg('Starting Match in 3...')
                    gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                    gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                    gamethread.delayed(6, es.centermsg, ('Match - 5on5 ENC Ladder - is going to be LIVE in 3...'))
                    gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(9, es.centermsg, ('Match - 5on5 ENC Ladder - is going to be LIVE in 2...'))
                    gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(12, es.centermsg, ('Match - 5on5 ENC Ladder - is going to be LIVE in 1...'))
                    gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(15, es.centermsg, ('Match - 5on5 ENC Ladder - is - LIVE - Have Fun and Good Luck :)'))
                elif on == 'eps':
                    for script in event_scripts:
                        es.unload(script)
                    es.server.cmd('exec password.cfg')
                    es.server.cmd('exec e5on5eps.cfg')
                    es.centermsg('Starting Match in 3...')
                    gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                    gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                    gamethread.delayed(6, es.centermsg, ('Match - 5on5 EPS Ladder - is going to be LIVE in 3...'))
                    gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(9, es.centermsg, ('Match - 5on5 EPS Ladder - is going to be LIVE in 2...'))
                    gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(12, es.centermsg, ('Match - 5on5 EPS Ladder - is going to be LIVE in 1...'))
                    gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                    gamethread.delayed(15, es.centermsg, ('Match - 5on5 EPS Ladder - is - LIVE - Have Fun and Good Luck :)'))
                else:
                    es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreenThis Match does not exist!')
            elif ts > cts:
                es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...')
                gamethread.delayed(.1, es.msg, ('#multi', '#greenCounter-Terrorists: #lightgreenGo get some Mates or Leave!'))
            else:
                es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...')
                gamethread.delayed(.1, es.msg, ('#multi', '#greenTerrorists: #lightgreenGo get some Mates or Leave!'))
        else:
            kind_second_match = '5on5'
            ts = es.getplayercount(2)
            cts = es.getplayercount(3)
            if ts == cts:
                gamethread.delayed(.2, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...'))
                gamethread.delayed(.3, es.msg, ('#multi', '#greenTeams are OK #lightgreen- Match can be started - Type \'#greenmr#lightgreen\' in chat if you want to know how many rounds are left'))
                for script in event_scripts:
                    es.unload(script)
                es.server.cmd('exec password.cfg')
                es.server.cmd('exec e5on5.cfg')
                es.centermsg('Starting Match in 3...')
                gamethread.delayed(2, es.centermsg, ('Starting Match in 2...'))
                gamethread.delayed(4, es.centermsg, ('Starting Match in 1...'))
                gamethread.delayed(6, es.centermsg, ('Match - 5on5 - is going to be LIVE in 3...'))
                gamethread.delayed(7, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(9, es.centermsg, ('Match - 5on5 - is going to be LIVE in 2...'))
                gamethread.delayed(10, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(12, es.centermsg, ('Match - 5on5 - is going to be LIVE in 1...'))
                gamethread.delayed(13, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(15, es.centermsg, ('Match - 5on5 - is - LIVE - Have Fun and Good Luck :)'))
            elif ts > cts:
                es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...')
                gamethread.delayed(.1, es.msg, ('#multi', '#greenCounter-Terrorists: #lightgreenGo get some Mates or Leave!'))
            else:
                es.msg('#multi', '#green[#lightgreenBEWar#green] #lightgreenChecking teams...')
                gamethread.delayed(.1, es.msg, ('#multi', '#greenTerrorists: #lightgreenGo get some Mates or Leave!'))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreen! #greenNo Admin #lightreen!')

def restartt():
    user = es.getcmduserid()
    steamid = es.getplayersteamid(user)
    if steamid in war_admins:
        es.server.cmd('mp_restartgame 1')
        gamethread.delayed(2, es.server.cmd, 'mp_restartgame 1')
        gamethread.delayed(4, es.server.cmd, 'mp_restartgame 1')
        gamethread.delayed(6, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #green3 Runden-Neustarts #lightgreenerfolgreich ausgeführt'))
        #round_count_1 = -1
        #round_count_2 = 300
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreen! #greenNo Admin #lightgreen!')

def restart():
    user = es.getcmduserid()
    steamid = es.getplayersteamid(user)
    if steamid in war_admins:
        es.server.cmd('mp_restartgame 1')
        gamethread.delayed(2, es.msg, ('#multi', '#green[#lightgreenBEWar#green] #greenRunden-Neustart #lightgreenerfolgreich ausgeführt'))
        #round_count_1 = -1
        #round_count_2 = 300
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreen! #greenNo Admin #lightgreen!')

def commands():
    user = es.getcmduserid()
    steamid = es.getplayersteamid(user)
    if steamid in war_admins:
        es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreen1on1-Commands: #green1on1#lightgreen; #greenawp#lightgreen, #greeneas#lightgreen, #greenfunmaps#lightgreen, #greenpistols#lightgreen, #greenrush')
        gamethread.delayed(.5, es.tell, (user, '#multi', '#green[#lightgreenBEWar#green] #lightgreen2on2-Commands: #green2on2#lightgreen; #greenawp#lightgreen, #greeneas#lightgreen, #greenpistols#lightgreen, #greenrush'))
        gamethread.delayed(1, es.tell, (user, '#multi', '#green[#lightgreenBEWar#green] #lightgreen3on3-Commands: #green3on3#lightgreen; #greenfunmaps#lightgreen, #greengungame'))
        gamethread.delayed(1.5, es.tell, (user, '#multi', '#green[#lightgreenBEWar#green] #lightgreen5on5-Commands: #green5on5#lightgreen; #greencml#lightgreen, #greeneas#lightgreen, #greenems#lightgreen, #greenenc#lightgreen, #greeneps'))
        gamethread.delayed(2, es.tell, (user, '#multi', '#green[#lightgreenBEWar#green] #lightgreenNon-Match-Commands: #greenrr#lightgreen, #greenlo3#lightgreen, #greendelscore#lightgreen, #green!map#lightgreen, #greenoff'))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreenOnly Admins can list commands')

def mapp():
    user = es.getcmduserid()
    steamid = es.getplayersteamid(user)
    if steamid in war_admins:
        args = es.getargc()
        if args > 1:
            map1 = es.getargv(1)
            es.server.cmd('changelevel %s' % map1)
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreen! #greenNo Admin #lightgreen!')

def off():
    user = es.getcmduserid()
    steamid = es.getplayersteamid(user)
    if steamid in war_admins:
        es.server.cmd('exec server.cfg')
        es.msg('#multi', '#green[#lightgreenBEWar#green] War-Mode #lightgreenoffline. Wechsele zu #greenPublic-Mode#lightgreen...')
        es.server.cmd('mp_restartgame 1')
        for script in event_scripts:
            es.reload(script)
        es.unload('war')
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEWar#green] #lightgreen! #greenNo Admin #lightgreen!')
